%define name	glabels
%define version	3.0.0
%define rel	4

%define api		3.0
%define major		8
%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname %{name} -d

%define bmajor		0
%define blibname	%mklibname glbarcode %{api} %{bmajor}
%define bdevname	%mklibname glbarcode -d

Summary:	GNOME program to create labels and business cards
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Office
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		glabels-3.0.0-link.patch
URL:		http://glabels.sourceforge.net/
BuildRequires:  pkgconfig(cairo) >= 1.10.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.28.2
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.9
BuildRequires:  pkgconfig(libebook-1.2) >= 2.30.3
BuildRequires:  pkgconfig(libiec16022) >= 0.2.4
BuildRequires:  pkgconfig(libqrencode) >= 3.1.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:  pkgconfig(pango) >= 1.28.1
BuildRequires:	pkgconfig(pangocairo) >= 1.28.1
BuildRequires:  desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gtk-doc
BuildRequires:  zint-devel
BuildRequires:  barcode-devel

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package provides the shared libraries for %{name}.

%package -n %{blibname}
Summary:	Barcode support libraries for %{name}
Group:		System/Libraries

%description -n %{blibname}
This package contains the shared libraries for barcode support for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Suggests:	%{name}-docs = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package -n %{bdevname}
Summary:	Development files and headers for %{name} barcodes
Group:		Development/Other
Requires:	%{blibname} = %{version}-%{release}
Provides:	glbarcode-devel = %{version}-%{release}
Suggests:	%{name}-docs = %{version}-%{release}

%description -n %{bdevname}
This package contains the development files and headers for %{name} barcodes.

%package docs
Summary:	Development documentation for %{name}
Group:		Development/Other
BuildArch:	noarch

%description docs
This package contains the development documentation for %{name}.

%prep
%setup -q
%patch0 -p0 -b .link

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-compile

%make

%install
rm -fr %{buildroot}
%makeinstall_std

perl -p -i -e 's/%{name}-%{api}.png/%{name}-%{api}/g' %{buildroot}%{_datadir}/applications/*.desktop

desktop-file-install --vendor="" \
  --remove-category='Application' \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}-%{api} --with-gnome

#we don't want these
find %{buildroot}%{_libdir} -name lib*.la -exec rm -rf {} \;

%files -f %{name}-%{api}.lang
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/%{name}-%{api}
%{_datadir}/lib%{name}-%{api}
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml

%files docs
%{_datadir}/gtk-doc/html/libglabels-%{api}
%{_datadir}/gtk-doc/html/libglbarcode-%{api}

%files -n %{libname}
%{_libdir}/libglabels-%{api}.so.%{major}*

%files -n %{blibname}
%{_libdir}/libglbarcode-%{api}.so.%{bmajor}*

%files -n %{devname}
%{_libdir}/libglabels-%{api}.so
%{_includedir}/libglabels-%{api}
%{_libdir}/pkgconfig/libglabels-%{api}.pc

%files -n %{bdevname}
%{_libdir}/libglbarcode-%{api}.so
%{_includedir}/libglbarcode-%{api}
%{_libdir}/pkgconfig/libglbarcode-%{api}.pc


%changelog

* Mon Nov 21 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 170392
- rebuild for new evo
- br gtk-doc
- fix linkage
- rebuild

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Sat Jun 18 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 109380
- new version 3.0.0
- new major 8
- create subpackage(s) for barcode support
- create noarch subpackage for docs
- disable static build
- drop old obsoletes
- clean BRs
- fix summaries and descriptions

* Thu Mar 24 2011 boklm <boklm> 2.3.0-5.mga1
+ Revision: 76145
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.3.0-4.mga1
+ Revision: 74070
- add libtasn1-devel BR
- add gnutls-devel BR
- fix .desktop file
- drop buildroot definition
- change description
- clean .spec a bit
- imported package glabels

